qpid-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF subversion and git services (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (QPID-7468) Upgrade logback to 1.1.11 and SLF4J to 1.7.24
Date Mon, 10 Apr 2017 13:27:41 GMT

    [ https://issues.apache.org/jira/browse/QPID-7468?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15962849#comment-15962849
] 

ASF subversion and git services commented on QPID-7468:
-------------------------------------------------------

Commit 1790828 from orudyy@apache.org in branch 'java/branches/6.1.x'
[ https://svn.apache.org/r1790828 ]

QPID-7468,QPID-7730,QPID-7736,QPID-7737: Upgrade logback to version 1.2.2 and slf4j to version
1.7.25

The changes merged from broker and client trunks using the following commands:
svn merge -c 1789275 ^/qpid/java/trunk
svn merge -c 1789662 ^/qpid/java/trunk
svn merge -c 1790516 ^/qpid/java/trunk
svn merge -c 1790510 ^/qpid/java/trunk
svn merge -c 1790517 ^/qpid/java/trunk
svn merge -c 1790819 ^/qpid/java/trunk
svn merge -c 1790821 ^/qpid/qpid-jms-amqp-0-x/trunk

> Upgrade logback to 1.1.11 and SLF4J to 1.7.24
> ---------------------------------------------
>
>                 Key: QPID-7468
>                 URL: https://issues.apache.org/jira/browse/QPID-7468
>             Project: Qpid
>          Issue Type: Improvement
>          Components: Java Broker
>    Affects Versions: qpid-java-6.0.4
>            Reporter: Alberto
>            Assignee: Keith Wall
>             Fix For: qpid-java-broker-7.0.0
>
>         Attachments: upgradeLogBack_1_1_10.diff, upgradeLogBack_1_1_7.diff
>
>
> The current version used in qpid-broker 6.0.4 for logback is 1.1.3. With the version
1.1.7 logback broke backwards compatibility in  StatusManager interface (ch.qos.logback.core.status.StatusManager).
> After this change, BrokerFileLoggerImpl is failing to add the `BrokerFileLoggerStatusListener`
to the loggerContext due to binary incompatibility  (See line 210 of BrokerFileLoggerImpl
for more info).
> {code:java}
>  @Override
>     protected Appender<ILoggingEvent> createAppenderInstance(Context loggerContext)
>     {
>         SystemConfig<?> systemConfig = (SystemConfig<?>)getParent(Broker.class).getParent(SystemConfig.class);
>         _logbackStatusListener = new BrokerFileLoggerStatusListener(this, systemConfig);
>         _statusManager = loggerContext.getStatusManager();
>         _statusManager.add(_logbackStatusListener);
>         final RollingFileAppender<ILoggingEvent> appender = new RollingFileAppender<>();
>         AppenderUtils.configureRollingFileAppender(this, loggerContext, appender);
>         return appender;
>     }
> {code}
> We've noticed this after update spring boot to the latest version 1.4.1.Release which
includes logback 1.1.7.
> As a workaround, you can still downgrade your version of logback in your project to 1.1.3
but it would be nice to have it upgraded



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@qpid.apache.org
For additional commands, e-mail: dev-help@qpid.apache.org


Mime
View raw message